const codeTree = require("codetree");

let code = `
  function sayHelloWorld() {
      console.log("Hello, World!");
  }
`;
let tree = codeTree.typescript.parse(code);
let mutatedTree = codeTree.transformTree(
  tree,
  codeTree.typescript.parse("console.log(__);"),
  matchedTree => codeTree.typescript.parse(`console.error("Hi!");`)
);
codeTree.printSource(mutatedTree);;
